package com.tanpu.community.feign.fund;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FeignbackForFund implements FallbackFactory<FeignClientForFund> {

    @Override
    public FeignClientForFund create(Throwable throwable) {
        return new FeignClientForFund() {
            @Override
            public CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(String id) {
                log.info("FeignbackForFund.getFundCompanyInfoSimple 调用失败 id:{}", id);
                log.error("FeignbackForFund.getFundCompanyInfoSimple 调用失败", throwable);
                return CommonResp.error();
            }

            @Override
            public CommonResp<FundCompanySimpleVO> getCompanyFundCount(String id) {
                log.info("FeignbackForFund.getCompanyFundCount 调用失败 id:{}", id);
                log.error("FeignbackForFund.getCompanyFundCount 调用失败", throwable);
                return CommonResp.error();
            }
        };
    }

}
