package com.tanpu.community.feign.publicFund;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "service-fundpublic", fallbackFactory = FeignbackForPublicFund.class, url = "http://tp-fundpublic-svc", path = "/fundpublic")
//@FeignClient(value = "service-fundpublic",configuration = FeignConfiguration.class, fallbackFactory = FeignbackForPublicFund.class,url = "http://127.0.0.1:8200/fundpublic", path = "/fundpublic")
public interface FeignClientForPublicFund {

    @ApiOperation("基金公司-简单信息")
    @GetMapping("/publicFund/companyInfoSimple")
    CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(@ApiParam("基金公司id") @RequestParam("id") String id);

    @ApiOperation("私募类型基金公司-持有产品数")
    @GetMapping("/publicFund/companyFundCount")
    CommonResp<FundCompanySimpleVO> getCompanyFundCount(@ApiParam("基金公司id") @RequestParam("id") String id);

}
