package com.tanpu.community.feign.publicFund;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.fund.FundCompanySimpleVO;
import com.tanpu.community.feign.fund.FeignClientForFund;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class FeignbackForPublicFund implements FallbackFactory<FeignClientForPublicFund> {

    @Override
    public FeignClientForPublicFund create(Throwable throwable) {
        return new FeignClientForPublicFund() {
            @Override
            public CommonResp<FundCompanySimpleVO> getFundCompanyInfoSimple(String id) {
                log.info("FeignClientForPublicFund.getFundCompanyInfoSimple 调用失败 id:{}", id);
                log.error("FeignClientForPublicFund.getFundCompanyInfoSimple 调用失败", throwable);
                return CommonResp.error();
            }

            @Override
            public CommonResp<FundCompanySimpleVO> getCompanyFundCount(String id) {
                log.info("FeignClientForPublicFund.getCompanyFundCount 调用失败 id:{}", id);
                log.error("FeignClientForPublicFund.getCompanyFundCount 调用失败", throwable);
                return CommonResp.error();
            }
        };
    }

}
